package com.yanzhu.jh.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 期刊对象 base_periodical
 * 
 * @author ruoyi
 * @date 2023-09-23
 */
public class BasePeriodical extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 期刊名称 */
    @Excel(name = "期刊名称")
    private String name;

    /** 期刊主图 */
    @Excel(name = "期刊主图")
    private String imageUrl;

    /** 期刊文件 */
    @Excel(name = "期刊文件")
    private String fileUrl;

    /** 顺序 */
    @Excel(name = "顺序")
    private Long ord;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /**  */
    @Excel(name = "")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setImageUrl(String imageUrl) 
    {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl() 
    {
        return imageUrl;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setOrd(Long ord) 
    {
        this.ord = ord;
    }

    public Long getOrd() 
    {
        return ord;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("imageUrl", getImageUrl())
            .append("fileUrl", getFileUrl())
            .append("ord", getOrd())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
